Bug 219057 - [patch] devel/libical is parallel-build safe
Summary: [patch] devel/libical is parallel-build safe
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Don Lewis
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-05-04 04:36 UTC by Jia-Shiun Li
Modified: 2018-03-21 22:26 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Remove MAKE_JOBS_UNSAFE from devel/libical (323 bytes, patch)
2017-05-04 04:36 UTC, Jia-Shiun Li
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jia-Shiun Li 2017-05-04 04:36:49 UTC
Created attachment 182292 [details]
Remove MAKE_JOBS_UNSAFE from devel/libical

looks upstream libical has fixed parallel build for v2.0 in
https://github.com/libical/libical/commit/dcc40c7ae2d337a0d83c077bf9d8f283499c6717

related issue:
https://github.com/libical/libical/issues/219


So, it is ok now to remove MAKE_JOBS_UNSAFE.

Patch tested ok on a 12-core machine.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-10 02:23:49 UTC
Maintainer timeout?
Comment 2 commit-hook freebsd_committer 2018-03-21 22:26:15 UTC
A commit references this bug:

Author: truckman
Date: Wed Mar 21 22:25:59 UTC 2018
New revision: 465243
URL: https://svnweb.freebsd.org/changeset/ports/465243

Log:
  Remove MAKE_JOBS_UNSAFE from devel/libical.

  Upstream fixed libical parallel build in version 2.0.0:
   https://github.com/libical/libical/commit/dcc40c7ae2d337a0d83c077bf9d8f283499c6717

  PR:		219057
  Submitted by:	Jia-Shiun Li jiashiun AT gmail.com

Changes:
  head/devel/libical/Makefile